Bug 722647 - [RFE] provide expat -static package
Summary: [RFE] provide expat -static package
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: expat
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-16 06:47 UTC by Bryan Hundven
Modified: 2013-01-08 16:37 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-01-08 16:37:13 UTC


Attachments (Terms of Use)

Description Bryan Hundven 2011-07-16 06:47:01 UTC
In bug 556046, libexpat.a was dropped from the -devel package which is correct.
But, it would be nice if fedora/redhat provided a -static package.

Comment 1 Rex Dieter 2011-07-17 18:38:53 UTC
Suggestion, providing a good justification(1) for such a request could increase the likelihood of it getting implemented.

(1) and, because I want to link statically, probably doesn't count.

Comment 2 Bryan Hundven 2011-07-20 10:45:33 UTC
(In reply to comment #1)
> Suggestion, providing a good justification(1) for such a request could increase
> the likelihood of it getting implemented.
> 
> (1) and, because I want to link statically, probably doesn't count.

When working with build systems that should work when ran on any distribution - provided the correct dependencies/requirements are available - it can be painful if one distribution was/is unable to provide a requirement.

While working with an internal build system that I use at work and while testing crosstool-ng[1] on a few different distributions (ie: debian, ubuntu, slackware, gentoo, arch) I found they are all able to provide libexpat.a, but not rh/fedora. There are other differences these build systems have to over come. For instance, different versions of bash, make, autotools, etc... Having to build a static library for the 'one off' distribution is annoying.

It would be nice if Fedora provided libexpat.a in a -static package.

[1]: http://thread.gmane.org/gmane.comp.gcc.cross-compiling/13746/focus=13772

Comment 6 Joe Orton 2013-01-08 16:37:13 UTC
[root@virt-f18g ~]# yum install -y -q expat-static && rpm -q expat-static
expat-static-2.1.0-4.fc18.x86_64


Note You need to log in before you can comment on or make changes to this bug.